| EM datagrams on *.kmall format Reg.no. 410224 rev G

Data Fields
EMdgmMRZ_sounding_def Struct Reference

#MRZ - Data for each sounding, e.g. XYZ, reflectivity, two way travel time etc. More...

`#include <EMdgmFormat.h>`

## Data Fields
uint16_t | soundingIndex
uint8_t | txSectorNumb
Detection info.
uint8_t | detectionType
uint8_t | detectionMethod
uint8_t | rejectionInfo1
uint8_t | rejectionInfo2
uint8_t | postProcessingInfo
uint8_t | detectionClass
uint8_t | detectionConfidenceLevel
uint16_t | padding
float | rangeFactor
float | qualityFactor
float | detectionUncertaintyVer_m
float | detectionUncertaintyHor_m
float | detectionWindowLength_sec
float | echoLength_sec
Water column paramters.
uint16_t | WCBeamNumb
uint16_t | WCrange_samples
float | WCNomBeamAngleAcross_deg
Reflectivity data (backscatter (BS) data).
float | meanAbsCoeff_dBPerkm
float | reflectivity1_dB
float | reflectivity2_dB
float | receiverSensitivityApplied_dB
float | sourceLevelApplied_dB
float | BScalibration_dB
float | TVG_dB
Range and angle data.
float | beamAngleReRx_deg
float | beamAngleCorrection_deg
float | twoWayTravelTime_sec
float | twoWayTravelTimeCorrection_sec
Georeferenced depth points.
float | deltaLatitude_deg
float | deltaLongitude_deg
float | z_reRefPoint_m
float | y_reRefPoint_m
float | x_reRefPoint_m
float | beamIncAngleAdj_deg
uint16_t | realTimeCleanInfo
Seabed image.
uint16_t | SIstartRange_samples
uint16_t | SIcentreSample
uint16_t | SInumSamples

## Detailed Description

#MRZ - Data for each sounding, e.g. XYZ, reflectivity, two way travel time etc.

Also contains information necessary to read seabed image following this datablock (number of samples in SI etc.). To be entered in loop (numSoundingsMaxMain + numExtraDetections) times.

Definition at line 956 of file EMdgmFormat.h.

## Field Documentation

## ◆ soundingIndex

uint16_t soundingIndex

Sounding index. Cross reference for seabed image. Valid range: 0 to (numSoundingsMaxMain+numExtraDetections)-1, i.e. 0 - (Nrx+Nd)-1.

Definition at line 959 of file EMdgmFormat.h.

## ◆ txSectorNumb

uint8_t txSectorNumb

Transmitting sector number. Valid range: 0-(Ntx-1), where Ntx is numTxSectors.

Definition at line 960 of file EMdgmFormat.h.

## ◆ detectionType

uint8_t detectionType

Bottom detection type. Normal bottom detection, extra detection, or rejected.
0 = normal detection
1 = extra detection
2 = rejected detection
In case 2, the estimated range has been used to fill in amplitude samples in the seabed image datagram.

Definition at line 964 of file EMdgmFormat.h.

## ◆ detectionMethod

uint8_t detectionMethod

Method for determining bottom detection, e.g. amplitude or phase.
0 = no valid detection
1 = amplitude detection
2 = phase detection
3-15 for future use.

Definition at line 966 of file EMdgmFormat.h.

## ◆ rejectionInfo1

uint8_t rejectionInfo1

For Kongsberg use.

Definition at line 967 of file EMdgmFormat.h.

## ◆ rejectionInfo2

uint8_t rejectionInfo2

For Kongsberg use.

Definition at line 968 of file EMdgmFormat.h.

## ◆ postProcessingInfo

uint8_t postProcessingInfo

For Kongsberg use.

Definition at line 969 of file EMdgmFormat.h.

## ◆ detectionClass

uint8_t detectionClass

Only used by extra detections. Detection class based on detected range. Detection class 1 to 7 corresponds to value 0 to 6. If the value is between 100 and 106, the class is disabled by the operator. If the value is 107, the detections are outside the treshhold limits.

Definition at line 970 of file EMdgmFormat.h.

## ◆ detectionConfidenceLevel

uint8_t detectionConfidenceLevel

Detection confidence level.

Definition at line 971 of file EMdgmFormat.h.

## ◆ padding

uint16_t padding

Byte alignment.

Definition at line 972 of file EMdgmFormat.h.

## ◆ rangeFactor

float rangeFactor

Unit %. rangeFactor = 100 if main detection.

Definition at line 973 of file EMdgmFormat.h.

## ◆ qualityFactor

float qualityFactor

Estimated standard deviation as % of the detected depth. Quality Factor (QF) is calculated from IFREMER Quality Factor (IFQ):
QF=Est(dz)/z=100*10^-IQF

Definition at line 974 of file EMdgmFormat.h.

## ◆ detectionUncertaintyVer_m

float detectionUncertaintyVer_m

Vertical uncertainty, based on quality factor (QF, qualityFactor).

Definition at line 975 of file EMdgmFormat.h.

## ◆ detectionUncertaintyHor_m

float detectionUncertaintyHor_m

Horizontal uncertainty, based on quality factor (QF, qualityFactor).

Definition at line 976 of file EMdgmFormat.h.

## ◆ detectionWindowLength_sec

float detectionWindowLength_sec

Detection window length. Unit second. Sample data range used in final detection.

Definition at line 977 of file EMdgmFormat.h.

## ◆ echoLength_sec

float echoLength_sec

Measured echo length. Unit second.

Definition at line 978 of file EMdgmFormat.h.

## ◆ WCBeamNumb

uint16_t WCBeamNumb

Water column beam number. Info for plotting soundings together with water column data.

Definition at line 983 of file EMdgmFormat.h.

## ◆ WCrange_samples

uint16_t WCrange_samples

Water column range. Range of bottom detection, in samples.

Definition at line 984 of file EMdgmFormat.h.

## ◆ WCNomBeamAngleAcross_deg

float WCNomBeamAngleAcross_deg

Water column nominal beam angle across. Re vertical.

Definition at line 985 of file EMdgmFormat.h.

## ◆ meanAbsCoeff_dBPerkm

float meanAbsCoeff_dBPerkm

Mean absorption coefficient, alfa. Used for TVG calculations. Value as used. Unit dB/km.

Definition at line 990 of file EMdgmFormat.h.

## ◆ reflectivity1_dB

float reflectivity1_dB

Beam intensity, using the traditional KM special TVG.

Definition at line 991 of file EMdgmFormat.h.

## ◆ reflectivity2_dB

float reflectivity2_dB

Beam intensity (BS), using TVG = X log(R) + 2 alpha R. X (operator selected) is common to all beams in datagram. Alpha (variabel meanAbsCoeff_dBPerkm) is given for each beam (current struct).
BS = EL - SL - M + TVG + BScorr,
where EL= detected echo level (not recorded in datagram), and the rest of the parameters are found below.

Definition at line 992 of file EMdgmFormat.h.

## ◆ receiverSensitivityApplied_dB

float receiverSensitivityApplied_dB

Receiver sensitivity (M), in dB, compensated for RX beampattern at actual transmit frequency at current vessel attitude.

Definition at line 997 of file EMdgmFormat.h.

## ◆ sourceLevelApplied_dB

float sourceLevelApplied_dB

Source level (SL) applied (dB):
SL = SLnom + SLcorr
where SLnom = Nominal maximum SL, recorded per TX sector (variabel txNominalSourceLevel_dB in struct EMdgmMRZ_txSectorInfo_def) and
SLcorr = SL correction relative to nominal TX power based on measured high voltage power level and any use of digital power control.
SL is corrected for TX beampattern along and across at actual transmit frequency at current vessel attitude.

Definition at line 998 of file EMdgmFormat.h.

## ◆ BScalibration_dB

float BScalibration_dB

Backscatter (BScorr) calibration offset applied (default = 0 dB).

Definition at line 1003 of file EMdgmFormat.h.

## ◆ TVG_dB

float TVG_dB

Time Varying Gain (TVG) used when correcting reflectivity.

Definition at line 1004 of file EMdgmFormat.h.

## ◆ beamAngleReRx_deg

float beamAngleReRx_deg

Angle relative to the RX transducer array, except for ME70, where the angles are relative to the horizontal plane.

Definition at line 1009 of file EMdgmFormat.h.

## ◆ beamAngleCorrection_deg

float beamAngleCorrection_deg

Applied beam pointing angle correction.

Definition at line 1010 of file EMdgmFormat.h.

## ◆ twoWayTravelTime_sec

float twoWayTravelTime_sec

Two way travel time (also called range). Unit second.

Definition at line 1011 of file EMdgmFormat.h.

## ◆ twoWayTravelTimeCorrection_sec

float twoWayTravelTimeCorrection_sec

Applied two way travel time correction. Unit second.

Definition at line 1012 of file EMdgmFormat.h.

## ◆ deltaLatitude_deg

float deltaLatitude_deg

Distance from vessel reference point at time of first tx pulse in ping, to depth point. Measured in the surface coordinate system (SCS), see Coordinate systems for definition.
Unit decimal degrees.

Definition at line 1017 of file EMdgmFormat.h.

## ◆ deltaLongitude_deg

float deltaLongitude_deg

Distance from vessel reference point at time of first tx pulse in ping, to depth point. Measured in the surface coordinate system (SCS), see Coordinate systems for definition.
Unit decimal degree.

Definition at line 1019 of file EMdgmFormat.h.

## ◆ z_reRefPoint_m

float z_reRefPoint_m

Vertical distance z. Distance from vessel reference point at time of first tx pulse in ping, to depth point. Measured in the surface coordinate system (SCS), see Coordinate systems for definition.

Definition at line 1021 of file EMdgmFormat.h.

## ◆ y_reRefPoint_m

float y_reRefPoint_m

Horizontal distance y. Distance from vessel reference point at time of first tx pulse in ping, to depth point. Measured in the surface coordinate system (SCS), see Coordinate systems for definition.

Definition at line 1023 of file EMdgmFormat.h.

## ◆ x_reRefPoint_m

float x_reRefPoint_m

Horizontal distance x. Distance from vessel reference point at time of first tx pulse in ping, to depth point. Measured in the surface coordinate system (SCS), see Coordinate systems for definition.

Definition at line 1025 of file EMdgmFormat.h.

## ◆ beamIncAngleAdj_deg

float beamIncAngleAdj_deg

Beam incidence angle adjustment (IBA) unit degree.

Definition at line 1028 of file EMdgmFormat.h.

## ◆ realTimeCleanInfo

uint16_t realTimeCleanInfo

For future use.

Definition at line 1029 of file EMdgmFormat.h.

## ◆ SIstartRange_samples

uint16_t SIstartRange_samples

Seabed image start range, in sample number from transducer. Valid only for the current beam.

Definition at line 1034 of file EMdgmFormat.h.

## ◆ SIcentreSample

uint16_t SIcentreSample

Seabed image. Number of the centre seabed image sample for the current beam.

Definition at line 1035 of file EMdgmFormat.h.

## ◆ SInumSamples

uint16_t SInumSamples

Seabed image. Number of range samples from the current beam, used to form the seabed image.

Definition at line 1036 of file EMdgmFormat.h.

The documentation for this struct was generated from the following files:

- EMdgmFormat.h
- EMdgmFormat_KMinternal.txt